Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#565 closed defect

i386 - __REGISTER_PREFIX__

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.9
Component: score Version: 4.7
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description (last modified by Chris Johns)

  1. cpukit/score/cpu/i386/asm.h contains this:

#undef REGISTER_PREFIX
#define REGISTER_PREFIX %

  1. i386-rtems-gcc-3.3.2 and i386-rtems-gcc-3.2.3, however define REGISTER_PREFIX to (empty).
  1. + 2. together mean an inconsistency between gcc and RTEMS .
  1. alone causes the i386 to suffer from the same using % in defines issues as the m68k (PR 561)

Release:
RTEMS-4.6 + RTEMS-4.7

Change History (3)

comment:1 Changed on 02/07/04 at 17:34:35 by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on 08/05/08 at 16:15:06 by Joel Sherrill

Milestone: 4.9
rep_platform: All

current 4.9 i386 gcc still does the same. Any ideas?

comment:3 Changed on 11/20/14 at 03:52:45 by Chris Johns

Description: modified (diff)
Resolution: wontfix
Status: assignedclosed

Not fixed in the 4.9 release branch.

Note: See TracTickets for help on using tickets.